Skip to main content
POST
[Admin] Criar aula em módulo

Autorizações

Authorization
string
header
obrigatório

Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .

Parâmetros de caminho

courseId
string<uuid>
obrigatório
moduleId
string<uuid>
obrigatório

Corpo

application/json
courseId
string<uuid>
moduleId
string<uuid>
title
string | null
htmlContent
string | null
content
string | null
mediaUrl
string | null
duration
integer<int32>
isDraft
boolean
free
boolean
coverUrl
string | null
launchAt
string<date-time> | null
finishAt
string<date-time> | null
isAudio
boolean
attachments
object[] | null
mediaAssetId
string<uuid> | null
instructorId
string<uuid> | null
showCompleteButton
boolean
allowComments
boolean
allowPdfDownload
boolean
mediaType
integer<int32> | null

Resposta

200

OK